#!/usr/bin/perl

# ./indexNodes.pl <text cap file> <node index file>

use strict;
use warnings;

my $file;

my %node = ();

open($file, $ARGV[1]);
while (<$file>) {
	chomp($_);
	my @ax = split(/\t/, $_);
	if ($#ax == 0) {
		$ax[1] = "";
	}
	$node{$ax[1]} = $ax[0];
}
close($file);

open($file, $ARGV[0]);
while (<$file>) {
	chomp($_);
	my @ax = split(/\t/, $_);
	my @ay = split(/,/, $ax[1]);
	for (my $i = 0; $i <= $#ay; $i++) {
		if (not exists $node{$ay[$i]}) {
			print STDERR "$ay[$i]\n";
		} else {
			$ay[$i] = $node{$ay[$i]};
		}
	}

	$ax[1] = join(",", @ay);
	print join("\t", @ax), "\n";
}
close($file);
